function next=get_next(state,u,system)
%OK
%prostor hyperstavu - kazdy bod ma souradnice (y, b, P)

%realization
    next(1)=state(1)+system.b*u+system.sigma*randn;
    
    
%kalman
    K=u*state(3)/(state(3)*u^2+system.sigma^2);
    next(2)=state(2)+K*(next(1)-state(1)-state(2)*u);
    next(3)=(1-K*u)*state(3);
    
end